Bug 164890 - up2date --register does not work without X installed
up2date --register does not work without X installed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Satellite QA List
Depends On:
Blocks: 191074 191079
  Show dependency treegraph
Reported: 2005-08-02 07:33 EDT by Jess
Modified: 2013-01-10 03:48 EST (History)
0 users

See Also:
Fixed In Version: 4.4.67-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-02 13:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jess 2005-08-02 07:33:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
up2date --nox does not work when X (and gnome) is not installed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
* ssh into the machine in question as root.
* Run up2date --nox --register
* Press "Next" or F12 until you get to the page requesting a username and password.
* Enter a username and a password for an existing account.  Press "Next".
* Error message is displayed. I have verified that the password is correct several times.
* Confirm the message.
* Re-enter the password and press "Next" again.

Actual Results:  
[root@websphere root]# up2date --nox --register
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 718, in main
  File "tui.py", line 1097, in main
  File "tui.py", line 1047, in run
  File "tui.py", line 298, in run
  File "tui.py", line 259, in validateFields
  File "rhnreg.py", line 230, in reserveUser
  File "rpcServer.py", line 185, in getServer
  File "rpcServer.py", line 103, in server
IndexError: list index out of range

Expected Results:  up2date should have allowed me to register the machine under the supplied account details.

Additional info:

The machine is a fresh install, done yesterday.  It does not have X installed.  It is Red Hat Enterprise Linux AS release 3 (Taroon Update 3).

Installing X and gnome seems to have fixed the problem.

Username is wordmapltd
Comment 2 Fanny Augustin 2006-04-10 20:40:43 EDT
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release
Comment 3 Fanny Augustin 2006-04-13 15:52:48 EDT
Moving bugs to the CanFix List
Comment 4 James Bowes 2006-04-28 15:18:13 EDT
I am unable to reproduce this with the version of up2date shipped with RHEL 3 U
7 (4.4.67-3).
Comment 6 James Bowes 2006-05-02 13:54:00 EDT
This is fixed in at least release 4.4.67-4
Comment 7 Fanny Augustin 2006-05-08 15:33:30 EDT
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release
Comment 8 Fanny Augustin 2006-05-08 16:09:37 EDT
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.

Note You need to log in before you can comment on or make changes to this bug.